Get Music Finetunes
List music finetunes accessible to you (your own, workspace-shared, and ElevenLabs-curated), with optional filtering, sorting, and cursor pagination.
Headers
xi-api-key
Query parameters
cursor
Used for fetching the next page. Cursor is returned in the response.
page_size
How many finetunes to return. Max 100, default 50.
visibility
Filter by visibility. 'private' returns private finetunes; 'workspace' returns workspace-shared finetunes; 'public' returns public finetunes, which are currently ElevenLabs curated finetunes. Omit to return all accessible finetunes.
Allowed values:
created_by
Filter by creator. ‘self’ returns finetunes you created; ‘workspace’ returns finetunes created by workspace teammates; ‘elevenlabs’ returns ElevenLabs curated finetunes. Omit to return finetunes from all creators.
Allowed values:
sort
Sort by field (created_at or name)
Allowed values:
sort_direction
Sort direction (asc or desc)
Allowed values:
Response
Successful Response
finetunes
The finetunes in this page.
next_cursor
Cursor to pass as cursor to fetch the next page; null when there are no more results.
has_more
Whether more finetunes are available beyond this page.
Errors
422
Unprocessable Entity Error